#property  copyright "Copyright  2011, sangmane."
#property  link      "sangmane@forexfactory.com" 
  
#import "EasyOrder.dll"
   int EasyOrder_Draw(int hwnd);
   
#include <stdlib.mqh>
#include <stderror.mqh>

int start()
{	
	string obj;
	int i;
	int hwnd = WindowHandle(Symbol(),Period());
	int trade = EasyOrder_Draw(hwnd);
	if(trade<0) {
		for(i=ObjectsTotal()-1; i>=0; i--) {
			obj = ObjectName(i);
			if(StringFind(obj,"EASYORDER",0)>=0) ObjectDelete(obj);
		}		
		return(0);
	}
	trade -= 1;
	double pip=Point;
	if(Digits==3 || Digits==5) pip = 10*Point;
	RefreshRates();
	double atr = iATR(NULL,0,10,1);
	
	string desc[3] = {"SL", "Price", "TP"};
	color clr[3] = {Red, Green, Blue};
	double lines[3];
		
	for(i=ObjectsTotal()-1; i>=0; i--) {
		obj = ObjectName(i);
		if(StringFind(obj,"EASYORDER_NEW_",0)>=0)
			ObjectDelete(obj);
	}

	RefreshRates();	
	double ask = MarketInfo(Symbol(), MODE_ASK);
	double bid = MarketInfo(Symbol(), MODE_BID);
	switch(trade) {
		case 0:	lines[0] = ask-2.0*atr; 	lines[1] = 0; 				lines[2] = ask+2.0*atr; break;
		case 1:	lines[0] = bid+2.0*atr; 	lines[1] = 0; 				lines[2] = bid-2.0*atr; break;
		case 2:	lines[0] = ask-3.0*atr;		lines[1] = ask-1.0*atr; 	lines[2] = ask+1.0*atr; break;
		case 3:	lines[0] = bid+3.0*atr;		lines[1] = bid+1.0*atr; 	lines[2] = bid-1.0*atr; break;
		case 4:	lines[0] = ask-1.0*atr;		lines[1] = ask+1.0*atr; 	lines[2] = ask+3.0*atr; break;
		case 5:	lines[0] = bid+1.0*atr;		lines[1] = bid-1.0*atr; 	lines[2] = bid-3.0*atr; break;
		default: return(0);
		
	}
	Print("atr: ", DoubleToStr(atr, Digits), ", trade: ", trade, ", ask: ", DoubleToStr(ask, Digits), ", bid: ", DoubleToStr(bid, Digits));	
	
	for(i=0; i<3; i++) {
		obj = "EASYORDER_NEW_"+desc[i];
		if(ObjectFind(obj)>=0) ObjectDelete(obj);
		ObjectCreate(obj, OBJ_HLINE,0,Time[0],lines[i]);
		ObjectSet(obj,OBJPROP_WIDTH,2);
		ObjectSet(obj,OBJPROP_COLOR,clr[i]);
	}
	return(0);
}

//+------------------------------------------------------------------+